---
title: "PUT /blueprints/apply/{guid} - Blueprints · RUAL Documentation"
description: "Apply changes to a blueprint"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-apply--guid-put
language: en
---

# PUT /blueprints/apply/{guid}

Apply changes to a blueprint

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_update` | Required scope: blueprints_update |
